<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.pricing.web.internal.portlet.action.EditCommercePriceListExternalReferenceCodeMVCActionCommand" enabled="false" immediate="true">
  <property name="javax.portlet.name" type="String">com_liferay_commerce_pricing_web_internal_portlet_CommercePriceListPortlet
com_liferay_commerce_pricing_web_internal_portlet_CommercePromotionPortlet</property>
  <property name="mvc.command.name" type="String" value="/commerce_price_list/edit_commerce_price_list_external_reference_code"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand"/>
  </service>
  <reference name="_commercePriceListService" interface="com.liferay.commerce.price.list.service.CommercePriceListService" field="_commercePriceListService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.commerce.pricing.web.internal.portlet.action.EditCommercePriceListExternalReferenceCodeMVCActionCommand"/>
</scr:component>
